<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ジャンル登録確認
 *
 * @package     Admin.Datamanage.Genre.Insert.Check
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Genre_Insert_Check
{
    var $c_genre;
    var $session;

    var $name;
    var $pcd;
    var $pnm;
    var $dispsort;

    var $title;
    var $pagename;
    var $actionnm;

    var $v;
    var $srcword;       //検索値
    var $srcdispnum;    // 表示件数

    function execute()
    {
        $postdata = array("name"=>$this->name, "pcd"=>$this->pcd, "dispsort"=>$this->dispsort);
        $this->session->removeParameter("genre");
        $this->session->setParameter("genre", $postdata);

        if (!empty($this->pcd)) $this->pnm = $this->c_genre->selectKey(NULL, $this->pcd);

        return 'success';
    }

    function setParentGenre() {
        return $this->c_genre->selectParentAll();
    }
}
?>
